diff -Naur osrom/makefile osrom.patched/makefile
--- osrom/makefile	2008-09-05 17:51:11.000000000 -0400
+++ osrom.patched/makefile	2009-04-17 19:58:05.000000000 -0400
@@ -23,6 +23,9 @@
 CC		=	cc
 DIR		=	osrom/
 
+ifdef OMIT_CHECKSUM
+	AFLAGS+=-DOMIT_CHECKSUM
+endif
 
 OSSOURCES	=	charmap intlmap \
 			kernel reset nmi irq diskinterf sio cio misc \
@@ -43,7 +43,7 @@
 
 rom850	:	prehandlerrom1 prehandlerrom2 reloc loader
 	@ $(ECHO) "Preparing the loader relocatable"
-	@ reloc prehandlerrom1 prehandlerrom2 relocation
+	@ ./reloc prehandlerrom1 prehandlerrom2 relocation
 	@ dd if=loader count=1 bs=256 conv=sync | cat - relocation > boot850
 	@ rm loader relocation prehandlerrom2
 	@ cp prehandlerrom1 rom850
@@ -51,7 +51,7 @@
 osrom	:	prerom checksum
 	@ $(ECHO) "Combining ROM sources..."
 	@ cp prerom osrom
-	@ checksum osrom
+	@ ./checksum osrom
 
 #
 # Use the following make target for the official os++ distribution
@@ -59,7 +59,7 @@
 osdist	:	prerom checksum
 	@ $(ECHO) "Combining ROM sources..."
 	@ cp prerom osdist
-	@ checksum osdist
+	@ ./checksum osdist
 
 prerom	:	$(OSOBJECTS) $(INCLUDES) $(OSCONFIG)
 	@ $(ECHO) "Linking..."
@@ -88,7 +88,7 @@
 %.dump	:	% bintohex
 	@ $(ECHO) "Converting" $* "to" $*.dump
 	@ echo "unsigned char" $*"[] = " >$*.dump
-	@ bintohex <$* >>$*.dump
+	@ ./bintohex <$* >>$*.dump
 
 checksum:	checksum.c
 	@ $(ECHO) "Compling the checksum program"
diff -Naur osrom/romtest.asm osrom.patched/romtest.asm
--- osrom/romtest.asm	2006-05-21 11:23:11.000000000 -0400
+++ osrom.patched/romtest.asm	2009-04-17 19:58:54.000000000 -0400
@@ -18,8 +18,17 @@
 	
 	.segment  "RomTest"
 
+	.ifdef OMIT_CHECKSUM
+	nop
+	nop
+	nop
+	nop
+	nop
+	nop
+	.else
 	jmp RomSumLo
 	jmp RomSumHi
+	.endif
 	jmp VectorInit
 	
 	;; imported for internal use only
